# Alpha is our primary server that we use for bots which basically
# serve services that I personally run

######################### SSH KEY ##############################################
resource "aws_key_pair" "alpha_ssh" {
  key_name = var.alpha_ssh_key_name
  public_key = file(var.alpha_public_key_path)
}

######################### files.leftcoast.space VOLUME #########################
resource "aws_ebs_volume" "photo_gallery_volume" {
  availability_zone = var.athens_availability_zone
  size = 35

  tags = {
    Name = "Photo gallery volume"
    Description = "Volume is to be used entirely for Photos/Video"
  }
}

######################### clips.shockrah.xyz VOLUME ############################
resource "aws_ebs_volume" "id" {
  availability_zone = "us-west-1b"
  size = 35
  tags = {
    Name = "Clips"
    Description = "Used for the clippable instance"
  }
}

######################### INSTANCE CONFIGURATION ###############################
resource "aws_instance" "alpha" {
  ami = var.alpha_ami_id
  instance_type = var.alpha_instance_type

  key_name = var.alpha_ssh_key_name

  private_ip = "10.0.1.10"
  vpc_security_group_ids = [ 
    aws_security_group.general_web_req.id,
    aws_security_group.remote_ssh_rec.id
  ]
  subnet_id = aws_subnet.crete_subnet.id
  tags = {
    Name = "Alpha Host"
    Description = "Docker host with chatbots mostly"
  }

}

######################### ATTACHMENT FOR files.leftcoast.space #################
resource "aws_volume_attachment" "photo_gallery_attach" {
  # hdp is for hard drive photos in this case
  device_name = "/dev/sdp"
  volume_id = aws_ebs_volume.photo_gallery_volume.id
  instance_id = aws_instance.alpha.id
}


